#pragma rtGlobals=1		// Use modern global access method.

Menu "Gas Dose"
	"show Langmuir vs time", SIS_measureDoseInLangmuir()
End

Function SIS_measureDoseInLangmuir()
	// data folder and stack
	String dfStr=SIS_getDataFolderName()
	SetDataFolder root:$(dfStr)
	String winNameStr=SIS_getWinName()
	// input
	String xStr
	Prompt xStr, "enter time wave",popup WaveList("ti*",";","")
	String yStr
	Prompt yStr, "enter pressure wave",popup WaveList("PMCH*",";","")	
	//Variable basePressure=0
	//Prompt basePressure, "enter base pressure (mbar)"
	doPrompt "input waves" xStr,yStr //,basePressure
	if (V_flag==0)
		String graphStr="LD"+dfStr // window name
		String tStr="LD"+dfStr+"_P"
		String ldStr=dfStr+"_LD"
		String temporaryStr=dfStr+"_temporary"
		duplicate/o $xStr, $tStr
		duplicate/o $yStr, $ldStr
		duplicate/o $yStr, $temporaryStr
		wave tw=$tStr
		wave ldw=$ldStr
		wave temporaryP=$temporaryStr
		wavestats/Q temporaryP
		temporaryP-=V_min
		tw/=1000 // converts from ms to s
		//ldw[]=areaXY(tw, $yStr,tw[0],tw[p]) // in units of mbar * s
		ldw[]=areaXY(tw, temporaryP,tw[0],tw[p]) // in units of mbar * s
		killwaves temporaryP
		// conversion from mbar to Torr: 1 Torr = 1.33 mbar; 1 L = 10-6 Torr * s
		ldw/=1.33E-6 
		SIS_xywaveToLeftAxis(graphStr,ldStr,tStr)
		SIS_xywaveToRightAxis(graphStr,yStr,tStr)
		// 
		ModifyGraph fSize=12
		Label bottom "\F'Arial'\Z16Time (s)"
		Label left "\\F'Arial'\\Z16Dose (L)"
		Label right "\\F'Arial'\\Z16Pressure (mbar \\U\\F'Arial'\\Z16)"
	endif
end

